File: changelog

package info (click to toggle)
maven-resolver 1.4.0-2
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 7,012 kB
  • sloc: java: 47,081; xml: 1,839; makefile: 2; sh: 1
file content (143 lines) | stat: -rw-r--r-- 4,739 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
maven-resolver (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Restored the CacheUtils class to preserve the backward compatibility

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 12 Jul 2019 19:21:21 +0200

maven-resolver (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 23:45:09 +0200

maven-resolver (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Updated the Maven rules
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 10:17:21 +0100

maven-resolver (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Set the 'release' compiler parameter to preserve the compatibility
    with previous JREs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 Jul 2018 19:57:17 +0200

maven-resolver (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Ignore the new maven-resolver-demos module
  * Use XZ compression for the upstream tarball
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Jun 2018 10:40:47 +0200

maven-resolver (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Moved the maven-resolver-transport-http module to its own package

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Nov 2017 23:43:58 +0100

maven-resolver (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Removed the unused dependency on libasync-http-client-java
  * Depend on libwagon-provider-api-java instead of libwagon2-java
  * Depend on libplexus-classworlds-java instead of libplexus-classworlds2-java
  * Removed the Maven rule for plexus-component-annotations
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Nov 2017 14:51:41 +0100

maven-resolver (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Ignore the new test dependencies

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 13 Sep 2017 14:02:49 +0200

maven-resolver (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure caused by the update of sisu-maven-plugin
    (Closes: #868999)
  * Build depend on libplexus-component-metadata-java
    instead of libplexus-containers1.5-java
  * Depend on libwagon2-java instead of libwagon-java

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Aug 2017 13:50:42 +0200

maven-resolver (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Renamed the package to maven-resolver (ITP: #862703)
    - Refreshed the patch
    - Changed the license from EPL-1.0 to Apache-2.0
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 3.9.8
  * Use a secure Vcs-Git URL
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 16 May 2017 22:06:57 +0200

eclipse-aether (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Replaced the aether-connector-* modules with the new aether-transport-*
      modules
    - Added a patch to use the version of sisu-maven-plugin available in Debian
    - Replaced the build dependency on libsisu-ioc-java with libsisu-plexus-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Jul 2015 13:10:59 +0200

eclipse-aether (0.9.0.M2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Renamed the package to eclipse-aether (ITP: #764497)
  * debian/control:
    - Removed the unused build dependencies on the -doc packages
    - Removed the unused build dependency on libmaven-javadoc-plugin-java
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.6 (no changes)
  * Removed the unused files debian/libaether-java-doc.*
  * debian/copyright:
    - Updated the Format URI
    - Aether is now licensed under the EPL-1.0 only
    - Copyright attributed to the Eclipse Foundation
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 17:30:30 +0200

aether (1.13.1-2) unstable; urgency=low

  * d/control: Force B-D on fixed plexus-containers1.5.
  * d/maven.rules: Fix FTBFS after a rebuild of plexus-containers by
    targeting explicit version. Thanks to Mathieu Trudel-Lapierre
    for reporting (Closes: #656136).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 22 Jan 2012 14:58:58 +0100

aether (1.13.1-1) unstable; urgency=low

  * Initial release (Closes: #624536).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 10 Dec 2011 00:45:07 +0100